wiki:XeroxPhaser6125N

Version 11 (modified by Rick van der Zwet, 6 years ago) ( diff )

--

The Xerox Phaser 6125N printer is a great piece of work, however it is not supported by default under Linux (Ubuntu 11.04 x64).

Getting it to work

You can how-ever use little trick to adjust the provided driver of the Fuji-Xerox DPC525A CUPS ppd in such a way that is also works fine for this printer. As described over here http://ubuntuforums.org/showthread.php?t=1205253.

New Features

This steps how-ever does not alter the ppd file in such a way that it is automatically detected, the attached files have two new features:

  1. provide autodetect support for both USB and UTP printing.
  2. Set the feeder to 250 pages by default, instead of none.
  3. Removed the non-standard and unsupported FXPostCard.

Download & Install

For the deb folks:

  1. Download cups-xerox-phaser-6125n-1.0.0.deb
  2. $ sudo dpkg -i cups-xerox-phaser-6125n-1.0.0.deb

For the non-deb folks:

  1. Download cups-xerox-phaser-6125n-1.0.0.tar.gz
  2. $ sudo tar -C / --no-overwrite-dir --keep-newer-files -xvzf cups-xerox-phaser-6125n-1.0.0.tar.gz

When running Fedora 18,19,20,21,22,23,24 64bit you will also need to install a bunch of 32 bit libraries to get it working.

  1. $ sudo yum install /lib/ld-linux.so.2 /usr/lib/libcups.so.2

Troubleshooting

The package might create insecure permissions, causing the filter to fail as shown in /var/log/cups/error_log:

 E [21/Apr/2014:13:20:23 +0200] Phaser-6125N: Directory "/usr/lib/cups/filter" has insecure permissions (040775/uid=0/gid=0).

$ sudo chmod 0755 /usr/local/cups/filters

Need Help?

If you can not get it work as expected. Please drop me an email

Attachments (2)

Download all attachments as: .zip

Note: See TracWiki for help on using the wiki.